<form [formGroup]="heroesForm" novalidate (ngSubmit)="addHero(heroesForm.value)" #formDirective="ngForm">
  <div class="formcontrol">
    <mat-form-field>
        <input matInput type='text' name='text' formControlName="name" placeholder='Hero Name'>
        <mat-error *ngIf="heroesForm.invalid">Name is required</mat-error>
      </mat-form-field>
  </div>

  <app-emitinputs #heroAttributes (heroFormEmit)='heroesChangeHandler($event)'></app-emitinputs>
  <br />
  <button mat-raised-button type='submit'>Submit Hero</button>
</form>

<ul class="heroes">
  <h1 *ngIf='user.userType !== "MANAGER"'>TEST NOT USER</h1>
  <li *ngFor='let hero of heroes; let i = index' [class.selected]='hero === selectedHero' (click)='onSelect(hero)'>
    <a routerLink="/detail/{{hero.id}}">
      <span class="badge">{{ i + 1 }}</span> {{ hero.name }} Level: {{ hero.level }} Experience: {{ hero.experience }} Rank: {{ hero.rank }} <span class='delete-hero' (click)='deleteHero(hero);$event.stopPropagation(); false'>X</span>
    </a>
    <h3 class='badge'>
      Allies:
    </h3>
    <div class='ally' *ngFor="let item of hero.allies; let i = index">
      <span class='badge'>
        {{ item.name }}
      </span>
    </div>
  </li>
</ul>